import { homedir } from "os";
import { sep } from "path";
import { geteuid } from "process";
const homeDirCache = {};
const getHomeDirCacheKey = () => {
    if (geteuid) {
        return `${geteuid()}`;
    }
    return "DEFAULT";
};
export const getHomeDir = () => {
    const { HOME, USERPROFILE, HOMEPATH, HOMEDRIVE = `C:${sep}` } = process.env;
    if (HOME)
        return HOME;
    if (USERPROFILE)
        return USERPROFILE;
    if (HOMEPATH)
        return `${HOMEDRIVE}${HOMEPATH}`;
    const homeDirCacheKey = getHomeDirCacheKey();
    if (!homeDirCache[homeDirCacheKey])
        homeDirCache[homeDirCacheKey] = homedir();
    return homeDirCache[homeDirCacheKey];
};
